| Home | Libraries | People | FAQ | More

## Function opengl_create_shared_context

boost::compute::opengl_create_shared_context

## Synopsis

    // In header: <boost/compute/interop/opengl/context.hpp>

    context opengl_create_shared_context();

## Description

Creates a shared OpenCL/OpenGL context for the currently active OpenGL context.

Once created, the shared context can be used to create OpenCL memory objects which can interact with OpenGL memory objects (e.g. VBOs).

Throws: | unsupported_extension_error if no CL-GL sharing capable devices are found.